Bug 428241 - no libpcap-support coming with the ulogd
no libpcap-support coming with the ulogd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ulogd (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 04:03 EST by Leopold Aichinger
Modified: 2008-02-07 15:59 EST (History)
0 users

See Also:
Fixed In Version: 1.24-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified ulogd.spec to get support for ulogd-pcap (6.58 KB, text/plain)
2008-01-10 04:03 EST, Leopold Aichinger
no flags Details

  None (edit)
Description Leopold Aichinger 2008-01-10 04:03:12 EST
Description of problem:
No libpcap support included in the ulogd-rpm Packet.

Version-Release number of selected component (if applicable):
1.24-5

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The libary /usr/lib64/ulogd_PCAP.so is missing.

Expected results:


Additional info:
I solved problem by doing the following steps:
1. Install the source rpm:
# rpm -ivh ulogd-1.24-5.fc8.src.rpm  
2. Coping the attached, modified spec-File to the /usr/src/redhat/SPEC directory:
# cp -f ulogd.spec /usr/src/redhat/SPEC/
3. do a:
# rpmbuild -ba /usr/src/redhat/SPEC/ulogd.spec
Comment 1 Leopold Aichinger 2008-01-10 04:03:13 EST
Created attachment 291246 [details]
Modified ulogd.spec to get support for ulogd-pcap
Comment 2 Leopold Aichinger 2008-01-10 04:17:55 EST
There are still some little mistakes in my ulogd.spec file:
You get an ulogd-pcap rpm-packet but it is in the wrong group,
and requirements are not complete correct.
To solve the problem, change the following part in the spec file:
%package pcap
Summary: PCAP output plugin for ulogd
Group: Network
Requires: libpcap

to:

%package pcap
Summary: PCAP output plugin for ulogd
Group: System Environment/Daemons
Requires: libpcap
Requires: %{name} = %{version}
Comment 3 Fedora Update System 2008-01-24 17:04:11 EST
ulogd-1.24-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ulogd'
Comment 4 Fedora Update System 2008-02-07 15:59:40 EST
ulogd-1.24-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.